Public Member Functions | Static Public Member Functions

# wxToolTip Class Reference
[Help]

`#include <wx/tooltip.h>`

Inheritance diagram for wxToolTip:
[legend]

## Detailed Description

This class holds information about a tooltip associated with a window (see wxWindow::SetToolTip()).

The four static methods, wxToolTip::Enable(), wxToolTip::SetDelay() wxToolTip::SetAutoPop() and wxToolTip::SetReshow() can be used to globally alter tooltips behaviour.

##

Library: wxCore
Category: Help

## Public Member Functions
| wxToolTip (const wxString &tip)
| Constructor.
wxString | GetTip () const
| Get the tooltip text.
wxWindow * | GetWindow () const
| Get the associated window.
void | SetTip (const wxString &tip)
| Set the tooltip text.
## Static Public Member Functions
static void | Enable (bool flag)
| Enable or disable tooltips globally.
static void | SetAutoPop (long msecs)
| Set the delay after which the tooltip disappears or how long a tooltip remains visible.
static void | SetDelay (long msecs)
| Set the delay after which the tooltip appears.
static void | SetMaxWidth (int width)
| Set tooltip maximal width in pixels.
static void | SetReshow (long msecs)
| Set the delay between subsequent tooltips to appear.

List of all members.

## Constructor & Destructor Documentation

wxToolTip::wxToolTip | ( | const wxString & | tip | ) |

Constructor.

## Member Function Documentation

static void wxToolTip::Enable | ( | bool | flag | ) | `[static]`

Enable or disable tooltips globally.

Note:
  May not be supported on all platforms (eg. wxCocoa).

wxString wxToolTip::GetTip | ( |  | ) | const

Get the tooltip text.

wxWindow* wxToolTip::GetWindow | ( |  | ) | const

Get the associated window.

static void wxToolTip::SetAutoPop | ( | long | msecs | ) | `[static]`

Set the delay after which the tooltip disappears or how long a tooltip remains visible.

Note:
  May not be supported on all platforms (eg. wxCocoa, GTK, Palmos).

static void wxToolTip::SetDelay | ( | long | msecs | ) | `[static]`

Set the delay after which the tooltip appears.

Note:
  May not be supported on all platforms (eg. wxCocoa).

static void wxToolTip::SetMaxWidth | ( | int | width | ) | `[static]`

Set tooltip maximal width in pixels.

By default, tooltips are wrapped at a suitably chosen width. You can pass -1 as width to disable wrapping them completely, 0 to restore the default behaviour or an arbitrary positive value to wrap them at the given width.

Notice that this function does not change the width of the tooltips created before calling it.

Note:
  Currently this function is wxMSW-only.

static void wxToolTip::SetReshow | ( | long | msecs | ) | `[static]`

Set the delay between subsequent tooltips to appear.

Note:
  May not be supported on all platforms (eg. wxCocoa, GTK, Palmos).

void wxToolTip::SetTip | ( | const wxString & | tip | ) |

Set the tooltip text.

|  | [ top ]